---
layout: docs
page_title: 'Commands: operator gossip keyring install'
description: |
  Install a new gossip encryption key
---

# Command: operator gossip keyring install

The `operator gossip keyring install` command is used to install a new
encryption key used for gossip. This will broadcast the new key to all
members in the cluster.

This command can only be run against server nodes. It returns 0 if all nodes
reply and there are no errors. If any node fails to reply or reports failure,
the exit code will be 1.

If ACLs are enabled, this command requires a token with the `agent:write`
capability.

## Usage

```plaintext
nomad operator gossip keyring install [options] <key>
```

## General Options

@include 'general_options_no_namespace.mdx'

## Examples

```shell-session
$ nomad operator gossip keyring install AOUfjGff+MrTBzNU7NCOTmYajKRkGv8r2ToxheWd+jk=
Installing new gossip encryption key...
```
